
QGIS Application - Bug report #8820

"Value map" edit widget appears to have the value of the first value in NULL fields.  Fields gets these 

values upon save.

2013-10-10 05:06 PM - cgsbob -

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 17513

Description

When I view the attributes of a feature that has a field with a "Value map" edit widget and that field is NULL, the first value associated with

that edit widget is displayed rather then "NULL" or blank.  When this feature is saved, all of the null fields of these "Value map" widgets

now have the value of the first value in the widgets.

History

#1 - 2013-10-11 12:39 AM - Giovanni Manghi

- Target version set to Future Release - High Priority

- Status changed from Open to Feedback

probably the issue has the same origin as #8818

#2 - 2014-01-26 12:03 PM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

seems ok on master. Please reopen if necessary.
